# Infrastructure

> Infrastructure - Use the endpoints described below to manage cluster licenses.

This Markdown file sits beside the HTML page at the same path (with a `.md` suffix). It summarizes the topic and lists links for tools and LLM context.

Companion generated at `2026-05-01T23:10:47.864430+00:00` (UTC).

## Primary page

- [Infrastructure](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html): Full documentation for this topic (HTML).

## Sections on this page

- [Retrieve the information about cluster license](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#retrieve-the-information-about-cluster-license): In-page section heading.
- [Example responses](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#example-responses): In-page section heading.
- [Responses](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#responses): In-page section heading.
- [Create](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#create): In-page section heading.
- [Body parameter](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#body-parameter): In-page section heading.
- [Parameters](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#clusterlicense_putmany-parameters): In-page section heading.
- [Responses](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#responses_1): In-page section heading.
- [Check if a license is valid](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#check-if-a-license-is-valid): In-page section heading.
- [Body parameter](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#body-parameter_1): In-page section heading.
- [Parameters](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#clusterlicensevalidation_create-parameters): In-page section heading.
- [Example responses](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#example-responses_1): In-page section heading.
- [Responses](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#responses_2): In-page section heading.
- [Retrieve version information](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#retrieve-version-information): In-page section heading.
- [Example responses](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#example-responses_2): In-page section heading.
- [Responses](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#responses_3): In-page section heading.
- [ClusterLicenseRetrieveResponse](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#tocS_ClusterLicenseRetrieveResponse): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#properties): In-page section heading.
- [ClusterLicenseRetrieveResponseLicense](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#tocS_ClusterLicenseRetrieveResponseLicense): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#properties_1): In-page section heading.
- [ClusterLicenseRetrieveResponseUploadInfo](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#tocS_ClusterLicenseRetrieveResponseUploadInfo): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#properties_2): In-page section heading.
- [ClusterLicenseUpdate](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#tocS_ClusterLicenseUpdate): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#properties_3): In-page section heading.
- [ClusterLicenseValidationResponse](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#tocS_ClusterLicenseValidationResponse): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#properties_4): In-page section heading.
- [FeatureFlagObject](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#tocS_FeatureFlagObject): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#properties_5): In-page section heading.
- [VersionRetrieveResponse](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#tocS_VersionRetrieveResponse): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/infrastructure.html#properties_6): In-page section heading.

## Related documentation

- [Developer documentation](https://docs.datarobot.com/en/docs/api/index.html): Linked from this page.
- [API reference](https://docs.datarobot.com/en/docs/api/reference/index.html): Linked from this page.
- [REST API](https://docs.datarobot.com/en/docs/api/reference/public-api/index.html): Linked from this page.
- [Administration](https://docs.datarobot.com/en/docs/api/reference/public-api/tag-admin.html): Linked from this page.

## Documentation content

# Infrastructure

Use the endpoints described below to manage cluster licenses.

## Retrieve the information about cluster license

Operation path: `GET /api/v2/clusterLicense/`

Authentication requirements: `BearerAuth`

Retrieve the information about the currently deployed cluster license.

### Example responses

> 200 Response

```
{
  "properties": {
    "licenseInfo": {
      "description": "The license info object will describe detailed information about the deployed license",
      "properties": {
        "agenticPredictiveGovernanceSeatLicensesLimit": {
          "description": "The number of available Agentic, Predictive and Governance seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.38"
        },
        "concurrentWorkersCount": {
          "description": "The number of allowed simultaneously running jobs(concurrent workers)",
          "minimum": 0,
          "type": "integer"
        },
        "cpuUsageLimit": {
          "description": "The CPU usage limit for the cluster (0: unlimited, -1: no CPU usage available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.39"
        },
        "expirationTimestamp": {
          "description": "The time of the license expiration in UTC ISO format,ex. 2020-12-21T23:59:59.000000Z",
          "type": "string"
        },
        "expired": {
          "description": "A value indicating whether the license has already expired",
          "type": "boolean"
        },
        "featureFlags": {
          "additionalProperties": {
            "properties": {
              "uiLabel": {
                "description": "String representation of the feature flag",
                "type": "string"
              },
              "uiTooltip": {
                "description": "Detailed description of the feature flag",
                "type": "string"
              },
              "value": {
                "description": "Value of the feature flag",
                "type": "boolean"
              }
            },
            "required": [
              "value"
            ],
            "type": "object"
          },
          "description": "An object containing enforced feature flags. Each key is a name of a feature flag and value is an object described below.",
          "type": "object"
        },
        "genAiSeatLicensesLimit": {
          "description": "The number of available GenAI seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.36"
        },
        "gpuUsageLimit": {
          "description": "The GPU usage limit for the cluster (0: unlimited, -1: no GPU usage available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.39"
        },
        "maxDeploymentLimit": {
          "description": "The number of maximum deployments limit (0: unlimited)",
          "minimum": 0,
          "type": "integer"
        },
        "maximumActiveUsers": {
          "description": "The number of maximum active users allowed in the system(0: unlimited",
          "minimum": 0,
          "type": "integer"
        },
        "nonBuilderUserSeatLicensesLimit": {
          "description": "The number of available Non-Builder User seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.38"
        },
        "predictiveGovernanceSeatLicensesLimit": {
          "description": "The number of available Predictive and Governance seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.37"
        },
        "prepaidDeploymentLimit": {
          "description": "The number of prepaid deployments limit (0: unlimited)",
          "minimum": 0,
          "type": "integer"
        }
      },
      "required": [
        "agenticPredictiveGovernanceSeatLicensesLimit",
        "concurrentWorkersCount",
        "cpuUsageLimit",
        "expirationTimestamp",
        "expired",
        "featureFlags",
        "genAiSeatLicensesLimit",
        "gpuUsageLimit",
        "maxDeploymentLimit",
        "maximumActiveUsers",
        "nonBuilderUserSeatLicensesLimit",
        "predictiveGovernanceSeatLicensesLimit",
        "prepaidDeploymentLimit"
      ],
      "type": "object"
    },
    "uploadInfo": {
      "description": "The upload info object will describe detailed information about the user who uploaded the current license",
      "properties": {
        "uploadTimestamp": {
          "description": "the time when the current license was uploaded in UTC ISO format, ex. '2020-12-21T23:59:59.000000Z'",
          "type": "string"
        },
        "uploaderUserId": {
          "description": "Id of the user who uploaded the current license",
          "type": "string"
        },
        "uploaderUsername": {
          "description": "The username of the user who uploaded the current license",
          "type": "string"
        }
      },
      "required": [
        "uploadTimestamp",
        "uploaderUserId",
        "uploaderUsername"
      ],
      "type": "object"
    }
  },
  "required": [
    "licenseInfo",
    "uploadInfo"
  ],
  "type": "object"
}
```

### Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | OK | none | ClusterLicenseRetrieveResponse |

## Create

Operation path: `PUT /api/v2/clusterLicense/`

Authentication requirements: `BearerAuth`

Create or replace the cluster license.

### Body parameter

```
{
  "properties": {
    "licenseKey": {
      "description": "The license key provided by customer support",
      "type": "string"
    }
  },
  "required": [
    "licenseKey"
  ],
  "type": "object"
}
```

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | ClusterLicenseUpdate | false | none |

### Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | OK | none | None |
| 422 | Unprocessable Entity | License is invalid or has expired. | None |

## Check if a license is valid

Operation path: `POST /api/v2/clusterLicenseValidation/`

Authentication requirements: `BearerAuth`

Check if a cluster license is valid.

### Body parameter

```
{
  "properties": {
    "licenseKey": {
      "description": "The license key provided by customer support",
      "type": "string"
    }
  },
  "required": [
    "licenseKey"
  ],
  "type": "object"
}
```

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | ClusterLicenseUpdate | false | none |

### Example responses

> 200 Response

```
{
  "properties": {
    "licenseInfo": {
      "description": "The license info object will describe detailed information about the deployed license",
      "properties": {
        "agenticPredictiveGovernanceSeatLicensesLimit": {
          "description": "The number of available Agentic, Predictive and Governance seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.38"
        },
        "concurrentWorkersCount": {
          "description": "The number of allowed simultaneously running jobs(concurrent workers)",
          "minimum": 0,
          "type": "integer"
        },
        "cpuUsageLimit": {
          "description": "The CPU usage limit for the cluster (0: unlimited, -1: no CPU usage available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.39"
        },
        "expirationTimestamp": {
          "description": "The time of the license expiration in UTC ISO format,ex. 2020-12-21T23:59:59.000000Z",
          "type": "string"
        },
        "expired": {
          "description": "A value indicating whether the license has already expired",
          "type": "boolean"
        },
        "featureFlags": {
          "additionalProperties": {
            "properties": {
              "uiLabel": {
                "description": "String representation of the feature flag",
                "type": "string"
              },
              "uiTooltip": {
                "description": "Detailed description of the feature flag",
                "type": "string"
              },
              "value": {
                "description": "Value of the feature flag",
                "type": "boolean"
              }
            },
            "required": [
              "value"
            ],
            "type": "object"
          },
          "description": "An object containing enforced feature flags. Each key is a name of a feature flag and value is an object described below.",
          "type": "object"
        },
        "genAiSeatLicensesLimit": {
          "description": "The number of available GenAI seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.36"
        },
        "gpuUsageLimit": {
          "description": "The GPU usage limit for the cluster (0: unlimited, -1: no GPU usage available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.39"
        },
        "maxDeploymentLimit": {
          "description": "The number of maximum deployments limit (0: unlimited)",
          "minimum": 0,
          "type": "integer"
        },
        "maximumActiveUsers": {
          "description": "The number of maximum active users allowed in the system(0: unlimited",
          "minimum": 0,
          "type": "integer"
        },
        "nonBuilderUserSeatLicensesLimit": {
          "description": "The number of available Non-Builder User seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.38"
        },
        "predictiveGovernanceSeatLicensesLimit": {
          "description": "The number of available Predictive and Governance seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.37"
        },
        "prepaidDeploymentLimit": {
          "description": "The number of prepaid deployments limit (0: unlimited)",
          "minimum": 0,
          "type": "integer"
        }
      },
      "required": [
        "agenticPredictiveGovernanceSeatLicensesLimit",
        "concurrentWorkersCount",
        "cpuUsageLimit",
        "expirationTimestamp",
        "expired",
        "featureFlags",
        "genAiSeatLicensesLimit",
        "gpuUsageLimit",
        "maxDeploymentLimit",
        "maximumActiveUsers",
        "nonBuilderUserSeatLicensesLimit",
        "predictiveGovernanceSeatLicensesLimit",
        "prepaidDeploymentLimit"
      ],
      "type": "object"
    }
  },
  "required": [
    "licenseInfo"
  ],
  "type": "object"
}
```

### Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | OK | none | ClusterLicenseValidationResponse |
| 422 | Unprocessable Entity | License is invalid or has expired. | None |

## Retrieve version information

Operation path: `GET /api/v2/version/`

Authentication requirements: `BearerAuth`

Provides the version information for the current version of the API.

### Example responses

> 200 Response

```
{
  "properties": {
    "major": {
      "description": "The major version number.",
      "type": "integer"
    },
    "minor": {
      "description": "The minor version number.",
      "type": "integer"
    },
    "versionString": {
      "description": "The full version string.",
      "type": "string"
    }
  },
  "required": [
    "major",
    "minor",
    "versionString"
  ],
  "type": "object"
}
```

### Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | OK | none | VersionRetrieveResponse |

# Schemas

## ClusterLicenseRetrieveResponse

```
{
  "properties": {
    "licenseInfo": {
      "description": "The license info object will describe detailed information about the deployed license",
      "properties": {
        "agenticPredictiveGovernanceSeatLicensesLimit": {
          "description": "The number of available Agentic, Predictive and Governance seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.38"
        },
        "concurrentWorkersCount": {
          "description": "The number of allowed simultaneously running jobs(concurrent workers)",
          "minimum": 0,
          "type": "integer"
        },
        "cpuUsageLimit": {
          "description": "The CPU usage limit for the cluster (0: unlimited, -1: no CPU usage available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.39"
        },
        "expirationTimestamp": {
          "description": "The time of the license expiration in UTC ISO format,ex. 2020-12-21T23:59:59.000000Z",
          "type": "string"
        },
        "expired": {
          "description": "A value indicating whether the license has already expired",
          "type": "boolean"
        },
        "featureFlags": {
          "additionalProperties": {
            "properties": {
              "uiLabel": {
                "description": "String representation of the feature flag",
                "type": "string"
              },
              "uiTooltip": {
                "description": "Detailed description of the feature flag",
                "type": "string"
              },
              "value": {
                "description": "Value of the feature flag",
                "type": "boolean"
              }
            },
            "required": [
              "value"
            ],
            "type": "object"
          },
          "description": "An object containing enforced feature flags. Each key is a name of a feature flag and value is an object described below.",
          "type": "object"
        },
        "genAiSeatLicensesLimit": {
          "description": "The number of available GenAI seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.36"
        },
        "gpuUsageLimit": {
          "description": "The GPU usage limit for the cluster (0: unlimited, -1: no GPU usage available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.39"
        },
        "maxDeploymentLimit": {
          "description": "The number of maximum deployments limit (0: unlimited)",
          "minimum": 0,
          "type": "integer"
        },
        "maximumActiveUsers": {
          "description": "The number of maximum active users allowed in the system(0: unlimited",
          "minimum": 0,
          "type": "integer"
        },
        "nonBuilderUserSeatLicensesLimit": {
          "description": "The number of available Non-Builder User seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.38"
        },
        "predictiveGovernanceSeatLicensesLimit": {
          "description": "The number of available Predictive and Governance seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.37"
        },
        "prepaidDeploymentLimit": {
          "description": "The number of prepaid deployments limit (0: unlimited)",
          "minimum": 0,
          "type": "integer"
        }
      },
      "required": [
        "agenticPredictiveGovernanceSeatLicensesLimit",
        "concurrentWorkersCount",
        "cpuUsageLimit",
        "expirationTimestamp",
        "expired",
        "featureFlags",
        "genAiSeatLicensesLimit",
        "gpuUsageLimit",
        "maxDeploymentLimit",
        "maximumActiveUsers",
        "nonBuilderUserSeatLicensesLimit",
        "predictiveGovernanceSeatLicensesLimit",
        "prepaidDeploymentLimit"
      ],
      "type": "object"
    },
    "uploadInfo": {
      "description": "The upload info object will describe detailed information about the user who uploaded the current license",
      "properties": {
        "uploadTimestamp": {
          "description": "the time when the current license was uploaded in UTC ISO format, ex. '2020-12-21T23:59:59.000000Z'",
          "type": "string"
        },
        "uploaderUserId": {
          "description": "Id of the user who uploaded the current license",
          "type": "string"
        },
        "uploaderUsername": {
          "description": "The username of the user who uploaded the current license",
          "type": "string"
        }
      },
      "required": [
        "uploadTimestamp",
        "uploaderUserId",
        "uploaderUsername"
      ],
      "type": "object"
    }
  },
  "required": [
    "licenseInfo",
    "uploadInfo"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| licenseInfo | ClusterLicenseRetrieveResponseLicense | true |  | The license info object will describe detailed information about the deployed license |
| uploadInfo | ClusterLicenseRetrieveResponseUploadInfo | true |  | The upload info object will describe detailed information about the user who uploaded the current license |

## ClusterLicenseRetrieveResponseLicense

```
{
  "description": "The license info object will describe detailed information about the deployed license",
  "properties": {
    "agenticPredictiveGovernanceSeatLicensesLimit": {
      "description": "The number of available Agentic, Predictive and Governance seat licenses (0: unlimited, -1: no seats available).",
      "minimum": -1,
      "type": "integer",
      "x-versionadded": "v2.38"
    },
    "concurrentWorkersCount": {
      "description": "The number of allowed simultaneously running jobs(concurrent workers)",
      "minimum": 0,
      "type": "integer"
    },
    "cpuUsageLimit": {
      "description": "The CPU usage limit for the cluster (0: unlimited, -1: no CPU usage available).",
      "minimum": -1,
      "type": "integer",
      "x-versionadded": "v2.39"
    },
    "expirationTimestamp": {
      "description": "The time of the license expiration in UTC ISO format,ex. 2020-12-21T23:59:59.000000Z",
      "type": "string"
    },
    "expired": {
      "description": "A value indicating whether the license has already expired",
      "type": "boolean"
    },
    "featureFlags": {
      "additionalProperties": {
        "properties": {
          "uiLabel": {
            "description": "String representation of the feature flag",
            "type": "string"
          },
          "uiTooltip": {
            "description": "Detailed description of the feature flag",
            "type": "string"
          },
          "value": {
            "description": "Value of the feature flag",
            "type": "boolean"
          }
        },
        "required": [
          "value"
        ],
        "type": "object"
      },
      "description": "An object containing enforced feature flags. Each key is a name of a feature flag and value is an object described below.",
      "type": "object"
    },
    "genAiSeatLicensesLimit": {
      "description": "The number of available GenAI seat licenses (0: unlimited, -1: no seats available).",
      "minimum": -1,
      "type": "integer",
      "x-versionadded": "v2.36"
    },
    "gpuUsageLimit": {
      "description": "The GPU usage limit for the cluster (0: unlimited, -1: no GPU usage available).",
      "minimum": -1,
      "type": "integer",
      "x-versionadded": "v2.39"
    },
    "maxDeploymentLimit": {
      "description": "The number of maximum deployments limit (0: unlimited)",
      "minimum": 0,
      "type": "integer"
    },
    "maximumActiveUsers": {
      "description": "The number of maximum active users allowed in the system(0: unlimited",
      "minimum": 0,
      "type": "integer"
    },
    "nonBuilderUserSeatLicensesLimit": {
      "description": "The number of available Non-Builder User seat licenses (0: unlimited, -1: no seats available).",
      "minimum": -1,
      "type": "integer",
      "x-versionadded": "v2.38"
    },
    "predictiveGovernanceSeatLicensesLimit": {
      "description": "The number of available Predictive and Governance seat licenses (0: unlimited, -1: no seats available).",
      "minimum": -1,
      "type": "integer",
      "x-versionadded": "v2.37"
    },
    "prepaidDeploymentLimit": {
      "description": "The number of prepaid deployments limit (0: unlimited)",
      "minimum": 0,
      "type": "integer"
    }
  },
  "required": [
    "agenticPredictiveGovernanceSeatLicensesLimit",
    "concurrentWorkersCount",
    "cpuUsageLimit",
    "expirationTimestamp",
    "expired",
    "featureFlags",
    "genAiSeatLicensesLimit",
    "gpuUsageLimit",
    "maxDeploymentLimit",
    "maximumActiveUsers",
    "nonBuilderUserSeatLicensesLimit",
    "predictiveGovernanceSeatLicensesLimit",
    "prepaidDeploymentLimit"
  ],
  "type": "object"
}
```

The license info object will describe detailed information about the deployed license

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| agenticPredictiveGovernanceSeatLicensesLimit | integer | true | minimum: -1 | The number of available Agentic, Predictive and Governance seat licenses (0: unlimited, -1: no seats available). |
| concurrentWorkersCount | integer | true | minimum: 0 | The number of allowed simultaneously running jobs(concurrent workers) |
| cpuUsageLimit | integer | true | minimum: -1 | The CPU usage limit for the cluster (0: unlimited, -1: no CPU usage available). |
| expirationTimestamp | string | true |  | The time of the license expiration in UTC ISO format,ex. 2020-12-21T23:59:59.000000Z |
| expired | boolean | true |  | A value indicating whether the license has already expired |
| featureFlags | object | true |  | An object containing enforced feature flags. Each key is a name of a feature flag and value is an object described below. |
| » additionalProperties | FeatureFlagObject | false |  | none |
| genAiSeatLicensesLimit | integer | true | minimum: -1 | The number of available GenAI seat licenses (0: unlimited, -1: no seats available). |
| gpuUsageLimit | integer | true | minimum: -1 | The GPU usage limit for the cluster (0: unlimited, -1: no GPU usage available). |
| maxDeploymentLimit | integer | true | minimum: 0 | The number of maximum deployments limit (0: unlimited) |
| maximumActiveUsers | integer | true | minimum: 0 | The number of maximum active users allowed in the system(0: unlimited |
| nonBuilderUserSeatLicensesLimit | integer | true | minimum: -1 | The number of available Non-Builder User seat licenses (0: unlimited, -1: no seats available). |
| predictiveGovernanceSeatLicensesLimit | integer | true | minimum: -1 | The number of available Predictive and Governance seat licenses (0: unlimited, -1: no seats available). |
| prepaidDeploymentLimit | integer | true | minimum: 0 | The number of prepaid deployments limit (0: unlimited) |

## ClusterLicenseRetrieveResponseUploadInfo

```
{
  "description": "The upload info object will describe detailed information about the user who uploaded the current license",
  "properties": {
    "uploadTimestamp": {
      "description": "the time when the current license was uploaded in UTC ISO format, ex. '2020-12-21T23:59:59.000000Z'",
      "type": "string"
    },
    "uploaderUserId": {
      "description": "Id of the user who uploaded the current license",
      "type": "string"
    },
    "uploaderUsername": {
      "description": "The username of the user who uploaded the current license",
      "type": "string"
    }
  },
  "required": [
    "uploadTimestamp",
    "uploaderUserId",
    "uploaderUsername"
  ],
  "type": "object"
}
```

The upload info object will describe detailed information about the user who uploaded the current license

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| uploadTimestamp | string | true |  | the time when the current license was uploaded in UTC ISO format, ex. '2020-12-21T23:59:59.000000Z' |
| uploaderUserId | string | true |  | Id of the user who uploaded the current license |
| uploaderUsername | string | true |  | The username of the user who uploaded the current license |

## ClusterLicenseUpdate

```
{
  "properties": {
    "licenseKey": {
      "description": "The license key provided by customer support",
      "type": "string"
    }
  },
  "required": [
    "licenseKey"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| licenseKey | string | true |  | The license key provided by customer support |

## ClusterLicenseValidationResponse

```
{
  "properties": {
    "licenseInfo": {
      "description": "The license info object will describe detailed information about the deployed license",
      "properties": {
        "agenticPredictiveGovernanceSeatLicensesLimit": {
          "description": "The number of available Agentic, Predictive and Governance seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.38"
        },
        "concurrentWorkersCount": {
          "description": "The number of allowed simultaneously running jobs(concurrent workers)",
          "minimum": 0,
          "type": "integer"
        },
        "cpuUsageLimit": {
          "description": "The CPU usage limit for the cluster (0: unlimited, -1: no CPU usage available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.39"
        },
        "expirationTimestamp": {
          "description": "The time of the license expiration in UTC ISO format,ex. 2020-12-21T23:59:59.000000Z",
          "type": "string"
        },
        "expired": {
          "description": "A value indicating whether the license has already expired",
          "type": "boolean"
        },
        "featureFlags": {
          "additionalProperties": {
            "properties": {
              "uiLabel": {
                "description": "String representation of the feature flag",
                "type": "string"
              },
              "uiTooltip": {
                "description": "Detailed description of the feature flag",
                "type": "string"
              },
              "value": {
                "description": "Value of the feature flag",
                "type": "boolean"
              }
            },
            "required": [
              "value"
            ],
            "type": "object"
          },
          "description": "An object containing enforced feature flags. Each key is a name of a feature flag and value is an object described below.",
          "type": "object"
        },
        "genAiSeatLicensesLimit": {
          "description": "The number of available GenAI seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.36"
        },
        "gpuUsageLimit": {
          "description": "The GPU usage limit for the cluster (0: unlimited, -1: no GPU usage available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.39"
        },
        "maxDeploymentLimit": {
          "description": "The number of maximum deployments limit (0: unlimited)",
          "minimum": 0,
          "type": "integer"
        },
        "maximumActiveUsers": {
          "description": "The number of maximum active users allowed in the system(0: unlimited",
          "minimum": 0,
          "type": "integer"
        },
        "nonBuilderUserSeatLicensesLimit": {
          "description": "The number of available Non-Builder User seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.38"
        },
        "predictiveGovernanceSeatLicensesLimit": {
          "description": "The number of available Predictive and Governance seat licenses (0: unlimited, -1: no seats available).",
          "minimum": -1,
          "type": "integer",
          "x-versionadded": "v2.37"
        },
        "prepaidDeploymentLimit": {
          "description": "The number of prepaid deployments limit (0: unlimited)",
          "minimum": 0,
          "type": "integer"
        }
      },
      "required": [
        "agenticPredictiveGovernanceSeatLicensesLimit",
        "concurrentWorkersCount",
        "cpuUsageLimit",
        "expirationTimestamp",
        "expired",
        "featureFlags",
        "genAiSeatLicensesLimit",
        "gpuUsageLimit",
        "maxDeploymentLimit",
        "maximumActiveUsers",
        "nonBuilderUserSeatLicensesLimit",
        "predictiveGovernanceSeatLicensesLimit",
        "prepaidDeploymentLimit"
      ],
      "type": "object"
    }
  },
  "required": [
    "licenseInfo"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| licenseInfo | ClusterLicenseRetrieveResponseLicense | true |  | The license info object will describe detailed information about the deployed license |

## FeatureFlagObject

```
{
  "properties": {
    "uiLabel": {
      "description": "String representation of the feature flag",
      "type": "string"
    },
    "uiTooltip": {
      "description": "Detailed description of the feature flag",
      "type": "string"
    },
    "value": {
      "description": "Value of the feature flag",
      "type": "boolean"
    }
  },
  "required": [
    "value"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| uiLabel | string | false |  | String representation of the feature flag |
| uiTooltip | string | false |  | Detailed description of the feature flag |
| value | boolean | true |  | Value of the feature flag |

## VersionRetrieveResponse

```
{
  "properties": {
    "major": {
      "description": "The major version number.",
      "type": "integer"
    },
    "minor": {
      "description": "The minor version number.",
      "type": "integer"
    },
    "versionString": {
      "description": "The full version string.",
      "type": "string"
    }
  },
  "required": [
    "major",
    "minor",
    "versionString"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| major | integer | true |  | The major version number. |
| minor | integer | true |  | The minor version number. |
| versionString | string | true |  | The full version string. |
